Subject: [spring] Issue with path protection for SR-TE LSPs

From: Alexander Vainshtein <[email-masked]>
Date: Sun, 10 Jul 2016 09:07:05 +0000

Hi all,
I have read the SR Resiliency Use Cases<https://datatracker.ietf.org/doc/draft-ietf-spring-resiliency-use-cases/?include_text=1> draft and I have an issue with the path protection use case.

The draft defines this use case with the following constrains/qualifiers (quoting from Section 2):

*         The operator configures two SPRING paths T1 and T2 from A to Z

*         Initially, the customer traffic (e.g., PW traffic) is sent from A to Z via T1. When T1 fails, the traffic is sent via T2.

*         The two paths are made disjoint using the SPRING architecture

*         The two configured paths T1 and T2 MUST NOT benefit from local protection

The draft does not go into any detail regarding the type of segments that the operator uses when specifying T1 and T2, and the example given in the draft can be interpreted in two ways:

*         T1 and T2 are specified using only adjacency SID

*         T1 and T2 are specified using node SIDs (or a mix of node SIDs and adjacency SIDs).

If T1 and T2 are specified using node SIDs, there is no guarantee that these paths, even if initially disjoint, will remain disjoint when the underlying network topology changes.
Further, if TI FRR is enabled in the network for protection of non-TE SR LSPs, the fragments of T1 and T2 that are specified using node SIDs will not be excluded from local protection.

So it seems that path protection for SR LSPs as specified in the draft is only applicable to paths that are specified using only adjacency SIDs.

Did I miss something substantial?

Regards, and lots fo thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]